Get Learning Trend
GET
/api/canvas/learning/trend
const url = 'https://example.com/api/canvas/learning/trend?deal_type=example&asset_type=example§ion_type=example&months=6&deal_id=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/canvas/learning/trend?deal_type=example&asset_type=example§ion_type=example&months=6&deal_id=example' \ --header 'Authorization: Bearer <token>'Return quality trend for a section over the last N months.
Uses time-bucketed signal snapshots to compute whether quality is improving, stable, or declining.
MULTI-TENANCY: compute_trend() currently reads from GLOBAL monthly buckets (no team-scoped monthly bucket infrastructure exists yet). Fail-closed when team_id is unavailable to prevent exposing cross-org aggregated signal counts.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” deal_type
required
Deal Type
CRE deal type
string
CRE deal type
asset_type
required
Asset Type
CRE asset type
string
CRE asset type
section_type
required
Section Type
Memo section key
string
Memo section key
months
Months
Months to look back
integer
Months to look back
deal_id
required
Deal Id
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}